Anonymous Login
2016-09-29 12:05 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
06825Bug reports[All Projects] Securitypublic2012-11-06 10:37
Reporterhelper 
Assigned Toc_schmitz 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06825: Long free text field improper escape sequence for Microsoft SQL
DescriptionEntering an apostrophe in a long free text field escapes with an improper character (should be another apostrophe for MSSQL).

Error executing query in dbExecuteAssoc:CDbCommand failed to execute the SQL statement: SQLSTATE[42000]: [Microsoft][SQL Server Native Client 11.0][SQL Server]Incorrect syntax near 'm'.. The SQL statement executed was: UPDATE lime_survey_418521 SET [lastpage]='1', [datestamp]='2012-11-02 06:10:13', [ipaddr]='172.28.204.176', [418521X5X42]='Y', [418521X5X276]='I\'m testing' WHERE ID=2
Steps To ReproduceEnter the following phrase in a long free text:

I'm testing

Click on next.
Complete LimeSurvey version number (& build)121101
I will donate to the project if issue is resolvedNo
Browserany
Database & DB-VersionMicrosoft SQL Server 2008
Operating System (Server)Windows 2008r2
Webserver software & versionApache 2.4
PHP Version5.4
Attached Files

-Relationships
+Relationships

-Notes

~21926

c_schmitz (administrator)

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10129

~21927

c_schmitz (administrator)

New version 2.00+ Build 121102 released.

~21982

c_schmitz (administrator)

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10156
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-11-02 16:11 helper New Issue
2012-11-02 16:11 helper File Added: survey_archive_418521.lsa
2012-11-02 16:40 c_schmitz Assigned To => c_schmitz
2012-11-02 16:40 c_schmitz Status new => assigned
2012-11-02 17:08 c_schmitz Status assigned => resolved
2012-11-02 17:08 c_schmitz Fixed in Version => 2.00+
2012-11-02 17:08 c_schmitz Resolution open => fixed
2012-11-02 17:09 c_schmitz Changeset attached => LimeSurvey master 3ad09748
2012-11-02 17:09 c_schmitz Note Added: 21926
2012-11-02 21:42 c_schmitz Note Added: 21927
2012-11-02 21:42 c_schmitz Status resolved => closed
2012-11-06 10:37 c_schmitz Changeset attached => LimeSurvey 2.1 14a65ae2
2012-11-06 10:37 c_schmitz Note Added: 21982
+Issue History